package cn.com.ctop.toutiao.modules.material.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("ctop_bytedance_effect_video_info")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class BytedanceEffectVideoInfo {
    @TableId(type = IdType.AUTO)
    private Long id;
    private String code;
    private String url;
    private String initialCostDate;
    private String finalCostDate;
    private String plane;
    private String plan;
    private String shot;
    private String clip;
    private String manager;
    private BigDecimal twoWeekCost;
    private BigDecimal totalCost;
    private Date createTime;
    private Date updateTime;



}
